
Audacious - Bug #468

[Patch] Qt: Support left mouse button in time slider

October 14, 2014 16:15 - Thomas Lange

Status: Closed Start date: October 14, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.6   

Description

The attached patch adds the support for using

the left mouse button in the time slider.

Please review.

History

#1 - October 14, 2014 16:58 - John Lindgren

Looks good.

#2 - October 14, 2014 17:04 - Thomas Lange

Thanks, I will commit it if William confirms that it works on Mac OS.

#3 - October 17, 2014 21:39 - Ariadne Conill

Can you explain the problem here?  Doesn't the time slider already work with left mouse button?

#4 - October 17, 2014 21:45 - Ariadne Conill

I tested the patch on Mac and it causes no regressions there, but I don't understand what the goal of the patch is, it seems to be the same behaviour

as it was before on Mac, so I am not sure what you are trying to accomplish.

Please clarify the need for the patch prior to committing it, as I don't understand why we need it.

#5 - October 17, 2014 22:39 - Thomas Lange

On Linux the left mouse button has no effect on the slider.

If you want to change its position you have to use the scroll wheel.

#6 - October 17, 2014 22:57 - Thomas Lange

- Status changed from New to Closed

https://github.com/audacious-media-player/audacious-plugins/commit/6ef279350d494c71c1986a986825d850d6359f53

Files

qt_time_slider.patch 1.07 KB October 14, 2014 Thomas Lange
